Update Region
Updates a Region.
Updates a Region
Request
URI
PUT
https://{api_host}/cloudapi/v1/regions/{regionUrn}
COPY
Path Parameters
string
regionUrn
Required
regionUrn
Request Body
Region
of type(s)
application/json
Optional
Show optional properties
{
"name": "string",
"nsxManager": {},
"supervisors": [
{}
],
"storagePolicies": [
{}
]
}
{
"id": "string",
"name": "string",
"description": "string",
"nsxManager": {
"name": "string",
"id": "string"
},
"supervisors": [
{
"name": "string",
"id": "string"
}
],
"storagePolicies": [
"string"
],
"status": "string",
"loadBalancerType": "string",
"memoryCapacityMiB": 0,
"memoryReservationCapacityMiB": 0,
"cpuCapacityMHz": 0,
"cpuReservationCapacityMHz": 0
}
Responses
202
The request have been accepted and the task to monitor the request is in the Location header.
Operation doesn't return any data structure
Code Samples
COPY
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string","nsxManager":"object","storagePolicies":["string"],"supervisors":["object"]}' https://{api_host}/cloudapi/v1/regions/{regionUrn}
Availability
Added in 9.0.0
On This Page
Regions Operations
GET
Query Regions
POST
Create Region
GET
Get Region
PUT
Update Region
DELETE
Delete Region
GET
Get Metadata
POST
Create Metadata Entry
PUT
Replace Metadata Entries
GET
Get Metadata Entry
PUT
Update Metadata Entry
DELETE
Delete Metadata Entry
GET
Get Ns Compatible Zones
GET
Query Region Guest Operating Systems
GET
Get Region Infra Policies